Bug 137995 - cpufreq doesn't work when switch-on the laptop(Dell D600) from battery without ac-adapter plugged-in
cpufreq doesn't work when switch-on the laptop(Dell D600) from battery withou...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-03 12:53 EST by Massimo Galli
Modified: 2015-01-04 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:27:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Massimo Galli 2004-11-03 12:53:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040929

Description of problem:
When I switch-on the laptop from the battery (without the ac-adapter
plugged-in) the frequency is stuck at 600Mhz.From dmesg I found a
warning message:
"Warning: CPU frequency is 1400000, cpufreq assumed 600000 kHz."
If I restart the laptop everything return to work:
- No warning message during start-up
- I can switch frequency between 600Mhz - 1400Mhz


When I switch-on the laptop with the ac-adapter plugged-in everything
works at the first start-up.

I encountered the same problem on a Fedora Core 2

The system is a Dell D600:
- Pentium-M 1,4 Ghz
- 256 Mb Ram


Version-Release number of selected component (if applicable):
kernel-2.6.8-1.541, kernel-2.6.9-1.649

How reproducible:
Always

Steps to Reproduce:
1. Switch-on the laptop from the battery without the ac-adapter plugged-in
2. cpufreq doesn't work
3. Restart the system
4. cpufreq works
    

Additional info:
Comment 1 Thomas J. Baker 2005-04-21 21:43:13 EDT
I see this with FC4T2 and subsequent devel kernels. 
Comment 2 Thomas J. Baker 2005-04-22 14:19:45 EDT
For me, it's not consistent when it happens. I just cold booted on battery and
it recognized the speed steps fine. It just don't work all the time.
Comment 3 Thomas J. Baker 2005-05-27 20:16:25 EDT
I'm using kernel 2.6.11-1.1363_FC4 and I still see this. Most of the time, a
cold boot on battery breaks cpuspeed switching. Rebooting fixes it. FWIW, I
recently upgraded to the latest BIOS but that didn't seem to help.
Comment 4 Massimo Galli 2005-05-28 12:27:38 EDT
I have found a sort of workaround.
I think that the problem is caused by the fact that the "scaling_max_freq" was
set to the minimum frequency possible. If you "manually" set the
"scaling_max_freq" to the maximum frequency of your system (echo -n
max_freq_here > /sys/devices/system/cpu/cpu0/cpufreq/scaling_max_freq) and then
you restart the cpuspeed daemon everything restart to work properly
Comment 5 Dave Jones 2005-07-15 13:43:24 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 6 Thomas J. Baker 2005-07-15 14:06:06 EDT
I still have the problem with FC4 but the work around from #4 works fine. I
can't change the version of the bug though as I am not the owner or sufficiently
empowered.
Comment 7 Dave Jones 2005-07-15 17:08:30 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 8 Dave Jones 2005-09-30 02:12:40 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 9 Thomas J. Baker 2005-10-04 11:20:45 EDT
The 1526 kernel does not fix the problem.
Comment 10 Dave Jones 2005-11-10 14:10:20 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 11 Thomas J. Baker 2005-11-11 10:26:20 EST
The 1637 kernel doesn't fix the problem.
Comment 12 Dave Jones 2005-12-27 22:07:56 EST
Sadly, on a majority of systems, the tables that the driver is dependant upon
are only created once at power-on time by the BIOS.  Complaining to the hardware
vendor that there are missing P-states whilst on battery power is the only thing
that's going to make it work consistently regardless of power state.

I'm puzzled by this message though..
"Warning: CPU frequency is 1400000, cpufreq assumed 600000 kHz."

Did this happen after you started setting "scaling_max_freq" ? 
If so, I think it's because the hardware isn't actually scaling.
Comment 13 Dave Jones 2006-02-03 00:14:12 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 14 Thomas J. Baker 2006-02-05 17:13:05 EST
Still happens for me with the 1830 kernel. 
Comment 15 Dave Jones 2006-09-16 21:43:34 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 16 Dave Jones 2006-10-16 13:38:00 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 17 Massimo Galli 2006-10-26 16:02:11 EDT
I have tested the new kernel (2.6.18-1.2200.fc5). The problem still remains.
After a cool boot from battery the scaling_max_freq is set to 600000. If the
system is restarted the  scaling_max_freq in correctly set to 1400000.
Comment 18 petrosyan 2008-03-10 01:08:39 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 8?
Comment 19 Bug Zapper 2008-04-03 21:52:05 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 20 Bug Zapper 2008-05-06 11:27:56 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.